Skip to main content
POST
/
v2
/
delta
/
orders
/
build
/
cancellation
Build signable Delta V2 cancellation data
curl --request POST \
  --url https://api.velora.xyz/v2/delta/orders/build/cancellation \
  --header 'Content-Type: application/json' \
  --data '
{
  "orderIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
import requests

url = "https://api.velora.xyz/v2/delta/orders/build/cancellation"

payload = { "orderIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({orderIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};

fetch('https://api.velora.xyz/v2/delta/orders/build/cancellation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "toSign": {
    "domain": {
      "name": "<string>",
      "version": "<string>",
      "chainId": 123,
      "verifyingContract": "<string>"
    },
    "types": {},
    "value": {
      "orderIds": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ]
    }
  },
  "hash": "<string>"
}

Body

application/json
orderIds
string<uuid>[]
required

Delta order IDs to cancel. All orders must belong to the same user and source chain.

Required array length: 1 - 100 elements

Response

Cancellation EIP-712 typed data ready to sign.

toSign
object

EIP-712 typed data to sign before calling POST /v2/delta/orders/cancel.

hash
string

EIP-712 hash of the cancellation payload.

Last modified on June 25, 2026